Productsup

Show all connector metadata.

Sign in to run requests against the CDE API.
GET
/metadata/connectors

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/metadata/connectors"
{
  "message": "Successfully found all connector metadata.",
  "resource": "connector-metadata",
  "data": [
    {
      "uuid": "01a10fc7-98ce-7bfd-85a6-9369b6cf4a0c",
      "channel-owner": "Third Party",
      "confidence": "Semi Confident",
      "help-center": "http://help.center",
      "internal-documentation": "http://docs.internal",
      "notes": "some notes",
      "last-reviewed-at": null,
      "last-updated-by": "40762733-f7fa-4e37-81c6-63da9cc7f9d3",
      "created-at": "2026-10-06T07:55:01+02:00",
      "updated-at": "2026-10-06T07:55:01+02:00",
      "connector": {
        "id": "01a10fc7-98ce-7c15-85a6-9369b7ca4654",
        "name": "687fc8cf-3f4a-4574-8090-41271bde80b5",
        "type": "datasource"
      }
    },
    {
      "uuid": "01a10fc7-98d7-71a9-87ec-774cfbd81265",
      "channel-owner": "Feature Team",
      "confidence": "Good to Go",
      "help-center": "http://help.example.com",
      "internal-documentation": "http://docs.example.com",
      "notes": "Production ready",
      "last-reviewed-at": null,
      "last-updated-by": "0129dace-04fe-48da-a312-4786cad3d0d2",
      "created-at": "2026-10-06T07:55:01+02:00",
      "updated-at": "2026-10-06T07:55:01+02:00",
      "connector": {
        "id": "01a10fc7-98d7-71dd-87ec-774cfc2ffbdb",
        "name": "d1b6ac3a-8b01-4ffa-a3f4-0672dded046a",
        "type": "datasource"
      }
    },
    {
      "uuid": "01a10fc7-98d8-7c05-9169-6bd49bf8874f",
      "channel-owner": "API Team",
      "confidence": "Needs Checking",
      "help-center": "http://sos.example.com",
      "internal-documentation": "http://wiki.internal",
      "notes": null,
      "last-reviewed-at": null,
      "last-updated-by": "dd917366-c38b-410d-86fb-ec4426a79bce",
      "created-at": "2026-10-06T07:55:01+02:00",
      "updated-at": "2026-10-06T07:55:01+02:00",
      "connector": {
        "id": "01a10fc7-98d8-7c2d-9169-6bd49c4904e4",
        "name": "9e9eb926-fde4-46ef-a241-8c9c897ce20a",
        "type": "datasource"
      }
    }
  ]
}
{
  "message": "You have to be authorized to access this resource."
}